Class SslPoliciesAggregatedList.Builder (1.88.0)

public static final class SslPoliciesAggregatedList.Builder extends GeneratedMessageV3.Builder<SslPoliciesAggregatedList.Builder> implements SslPoliciesAggregatedListOrBuilder

Protobuf type google.cloud.compute.v1.SslPoliciesAggregatedList

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllUnreachables(Iterable<String> values)

public SslPoliciesAggregatedList.Builder addAllUnreachables(Iterable<String> values)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
values Iterable<String>

The unreachables to add.

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

addRepeatedField(Descriptors.FieldDescriptor field, Object value)

public SslPoliciesAggregatedList.Builder addRepeatedField(Descriptors.FieldDescriptor field, Object value)
Parameters
Name Description
field FieldDescriptor
value Object
Returns
Type Description
SslPoliciesAggregatedList.Builder
Overrides

addUnreachables(String value)

public SslPoliciesAggregatedList.Builder addUnreachables(String value)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
value String

The unreachables to add.

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

addUnreachablesBytes(ByteString value)

public SslPoliciesAggregatedList.Builder addUnreachablesBytes(ByteString value)

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Parameter
Name Description
value ByteString

The bytes of the unreachables to add.

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

build()

public SslPoliciesAggregatedList build()
Returns
Type Description
SslPoliciesAggregatedList

buildPartial()

public SslPoliciesAggregatedList buildPartial()
Returns
Type Description
SslPoliciesAggregatedList

clear()

public SslPoliciesAggregatedList.Builder clear()
Returns
Type Description
SslPoliciesAggregatedList.Builder
Overrides

clearEtag()

public SslPoliciesAggregatedList.Builder clearEtag()

optional string etag = 3123477;

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

clearField(Descriptors.FieldDescriptor field)

public SslPoliciesAggregatedList.Builder clearField(Descriptors.FieldDescriptor field)
Parameter
Name Description
field FieldDescriptor
Returns
Type Description
SslPoliciesAggregatedList.Builder
Overrides

clearId()

public SslPoliciesAggregatedList.Builder clearId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

clearItems()

public SslPoliciesAggregatedList.Builder clearItems()
Returns
Type Description
SslPoliciesAggregatedList.Builder

clearKind()

public SslPoliciesAggregatedList.Builder clearKind()

[Output Only] Type of resource. Always compute#sslPolicyAggregatedList for lists of SSL Policies.

optional string kind = 3292052;

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

clearNextPageToken()

public SslPoliciesAggregatedList.Builder clearNextPageToken()

[Output Only] This token allows you to get the next page of results for list requests. If the number of results is larger than maxResults, use the nextPageToken as a value for the query parameter pageToken in the next list request. Subsequent list requests will have their own nextPageToken to continue paging through the results.

optional string next_page_token = 79797525;

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

clearOneof(Descriptors.OneofDescriptor oneof)

public SslPoliciesAggregatedList.Builder clearOneof(Descriptors.OneofDescriptor oneof)
Parameter
Name Description
oneof OneofDescriptor
Returns
Type Description
SslPoliciesAggregatedList.Builder
Overrides
public SslPoliciesAggregatedList.Builder clearSelfLink()

[Output Only] Server-defined URL for this resource.

optional string self_link = 456214797;

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

clearUnreachables()

public SslPoliciesAggregatedList.Builder clearUnreachables()

[Output Only] Unreachable resources.

repeated string unreachables = 243372063;

Returns
Type Description
SslPoliciesAggregatedList.Builder

This builder for chaining.

clearWarning()

public SslPoliciesAggregatedList.Builder clearWarning()

[Output Only] Informational warning message.

optional .google.cloud.compute.v1.Warning warning = 50704284;

Returns
Type Description
SslPoliciesAggregatedList.Builder

clone()

public SslPoliciesAggregatedList.Builder clone()
Returns
Type Description
SslPoliciesAggregatedList.Builder
Overrides

containsItems(String key)

public boolean containsItems(String key)

A list of SslPoliciesScopedList resources.

map<string, .google.cloud.compute.v1.SslPoliciesScopedList> items = 100526016;

Parameter
Name Description
key String
Returns
Type Description
boolean

getDefaultInstanceForType()

public SslPoliciesAggregatedList getDefaultInstanceForType()
Returns
Type Description
SslPoliciesAggregatedList

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getEtag()

public String getEtag()

optional string etag = 3123477;

Returns
Type Description
String

The etag.

getEtagBytes()

public ByteString getEtagBytes()

optional string etag = 3123477;

Returns
Type Description
ByteString

The bytes for etag.

getId()

public String getId()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
String

The id.

getIdBytes()

public ByteString getIdBytes()

[Output Only] Unique identifier for the resource; defined by the server.

optional string id = 3355;

Returns
Type Description
ByteString

The bytes for id.

getItems() (deprecated)

public Map<String,SslPoliciesScopedList> getItems()

Use #getItemsMap() instead.

Returns
Type Description
Map<String,SslPoliciesScopedList>

getItemsCount()

public int getItemsCount()

A list of SslPoliciesScopedList resources.

map<string, .google.cloud.compute.v1.SslPoliciesScopedList> items = 100526016;

Returns
Type Description
int

getItemsMap()

public Map<String,SslPoliciesScopedList> getItemsMap()

A list of SslPoliciesScopedList resources.

map<string, .google.cloud.compute.v1.SslPoliciesScopedList> items = 100526016;

Returns
Type Description
Map<String,SslPoliciesScopedList>

getItemsOrDefault(String key, SslPoliciesScopedList defaultValue)

public SslPoliciesScopedList getItemsOrDefault(String key, SslPoliciesScopedList defaultValue)

A list of SslPoliciesScopedList resources.

map<string, .google.cloud.compute.v1.SslPoliciesScopedList> items = 100526016;

Parameters
Name Description
key String
defaultValue SslPoliciesScopedList
Returns
Type Description
SslPoliciesScopedList

getItemsOrThrow(String key)

public SslPoliciesScopedList getItemsOrThrow(String key)

A list of SslPoliciesScopedList resources.

map<string, .google.cloud.compute.v1.SslPoliciesScopedList> items = 100526016;

Parameter
Name Description
key String
Returns
Type Description
SslPoliciesScopedList